Loading...
Searching...
No Matches
reducedSurface.h File Reference
`#include <BALL/MATHS/common.h>`
`#include <BALL/MATHS/simpleBox3.h>`
`#include <BALL/MATHS/circle3.h>`
`#include <BALL/MATHS/sphere3.h>`
`#include <BALL/MATHS/vector3.h>`
`#include <BALL/DATATYPE/hashMap.h>`
`#include <BALL/DATATYPE/hashSet.h>`
`#include <BALL/COMMON/exception.h>`
`#include <BALL/STRUCTURE/RSEdge.h>`
`#include <BALL/STRUCTURE/RSFace.h>`
`#include <BALL/STRUCTURE/RSVertex.h>`
`#include <set>`
`#include <list>`
`#include <deque>`
`#include <vector>`

Go to the source code of this file.

## Classes

struct | BALL::SortedPosition2
struct | BALL::SortedPosition3
struct | boost::hash< BALL::SortedPosition2 >
struct | boost::hash< BALL::SortedPosition3 >
class | BALL::ReducedSurface
class | BALL::RSComputer
struct | BALL::RSComputer::ProbePosition

## Namespaces

namespace | BALL
namespace | boost

## Functions

Storers
BALL_EXPORT std::ostream & | BALL::operator<< (std::ostream &s, const ReducedSurface &rs)